Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerConnectionManagementInfo

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerConnectionManagementInfo

All Implemented Interfaces:
  TCPIPServerConnectionManagementInfoInterface

    public class TCPIPServerConnectionManagementInfo

extends java.lang.Object
implements TCPIPServerConnectionManagementInfoInterface

This class represents some configuration parameters that are used to manage the server inbound connection.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/04/23 07:15:21 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerConnectionManagementInfo()` Constructor for TCPIPServerConnectionManagementInfo.
`TCPIPServerConnectionManagementInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for TCPIPServerConnectionManagementInfo.

Method Summary
`java.lang.String` | `getCloseNotification()`
`long` | `getConnectionPoolSize()`
`long` | `getIdleTimeout()`
`com.stc.connector.framework.util.ConfigurationHelper` | `getInitPropertiesInfo()` Returns the initial configuration.
`java.lang.String` | `getScopeOfConnection()`
`boolean` | `isCollaborationScopeOfConnection()`
`boolean` | `isResourceAdapterScopeOfConnection()`
`boolean` | `isSessionScopeOfConnection()`
`void` | `setCloseNotification(java.lang.String string)`
`void` | `setConnectionPoolSize(long l)`
`void` | `setIdleTimeout(long l)` Value 0 means no idle timeout checking.
`void` | `setScopeOfConnection(java.lang.String string)`
`void` | `validate()` Validates the socket configuration settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerConnectionManagementInfo

    public TCPIPServerConnectionManagementInfo()
                                        throws TCPIPApplicationException

  Constructor for TCPIPServerConnectionManagementInfo.

  Throws:
    `TCPIPApplicationException` - on error.

### TCPIPServerConnectionManagementInfo

    public TCPIPServerConnectionManagementInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                                        throws TCPIPApplicationException

  Constructor for TCPIPServerConnectionManagementInfo.

  Parameters:
    `aConfiguration` - The initial properties into.
  Throws:
    `TCPIPApplicationException` - on error.

Method Detail

### getInitPropertiesInfo

    public com.stc.connector.framework.util.ConfigurationHelper getInitPropertiesInfo()

  Returns the initial configuration.

  Returns:
    ConfigurationHelper

### getCloseNotification

    public java.lang.String getCloseNotification()

  Specified by:
    `getCloseNotification` in interface `TCPIPServerConnectionManagementInfoInterface`
  Returns:
    String

### getIdleTimeout

    public long getIdleTimeout()

  Specified by:
    `getIdleTimeout` in interface `TCPIPServerConnectionManagementInfoInterface`
  Returns:
    long

### getScopeOfConnection

    public java.lang.String getScopeOfConnection()

  Specified by:
    `getScopeOfConnection` in interface `TCPIPServerConnectionManagementInfoInterface`
  Returns:
    String

### setCloseNotification

    public void setCloseNotification(java.lang.String string)
                              throws TCPIPApplicationException

  Parameters:
    `string` -
  Throws:
    `TCPIPApplicationException` - on error

### setIdleTimeout

    public void setIdleTimeout(long l)
                        throws TCPIPApplicationException

  Value 0 means no idle timeout checking.

  Parameters:
    `l` - the value to set
  Throws:
    `TCPIPApplicationException` - on error

### isResourceAdapterScopeOfConnection

    public boolean isResourceAdapterScopeOfConnection()

  Specified by:
    `isResourceAdapterScopeOfConnection` in interface `TCPIPServerConnectionManagementInfoInterface`
  Returns:
    boolean

### isSessionScopeOfConnection

    public boolean isSessionScopeOfConnection()

  Specified by:
    `isSessionScopeOfConnection` in interface `TCPIPServerConnectionManagementInfoInterface`
  Returns:
    boolean

### isCollaborationScopeOfConnection

    public boolean isCollaborationScopeOfConnection()

  Specified by:
    `isCollaborationScopeOfConnection` in interface `TCPIPServerConnectionManagementInfoInterface`
  Returns:
    boolean

### setScopeOfConnection

    public void setScopeOfConnection(java.lang.String string)
                              throws TCPIPApplicationException

  Parameters:
    `string` - the value to set
  Throws:
    `TCPIPApplicationException` - on error

### getConnectionPoolSize

    public long getConnectionPoolSize()

  Specified by:
    `getConnectionPoolSize` in interface `TCPIPServerConnectionManagementInfoInterface`
  Returns:
    long

### setConnectionPoolSize

    public void setConnectionPoolSize(long l)
                               throws TCPIPApplicationException

  Parameters:
    `l` -
  Throws:
    `TCPIPApplicationException` - on error

### validate

    public void validate()
                  throws TCPIPApplicationException

  Validates the socket configuration settings.

  Throws:
    `TCPIPApplicationException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD